let table;
let q1;
let q3;
let median;


let url =
  'https://gist.githubusercontent.com/Ahuynh111/1e482a97d70acac597f636b109d9d74e/raw/ea243b11086e226c5f416302f931d3c77e42ac8d/PokemonStats.csv';

function preload() {
  table = loadTable(url, 'csv', 'header');
}

function setup() {

  // put setup code here
  createCanvas(500, 700);
  let HP = sort(table.getColumn('HP'));
  let pokemon = table.getColumn('Name');

  //quartiles
  max = max(HP);
  min = min(HP);
  median = HP[HP.length/2];
  q1 = HP[HP.length/4];
  q3 = HP[HP.length/4+HP.length/2];
  

}

function draw() {
  background(255);

  //background grid
  stroke(235,235,235);
  strokeWeight(1);
  for(i = 0; i<5; i++){
    for(j = 0; j<300; j=j+100){
      rect(100+j,100+i*100,100,100);
    }
  }

  //title
  text("Pokemon HP Levels - Box Plot", 150, 50);

  //y axis 
  for(i = 0; i<10; i++){
    text(i*100, 75,600-i*200 );
  }
  rotate(-HALF_PI);
  text("HP Level", -400,40);
  rotate(HALF_PI);

  //plot
  stroke(0,0,0);
  strokeWeight(5);
  point(200,600-min*2);
  point(200,600-max*2);
  strokeWeight(1);
  line(175,600-median*2,225,600-median*2); //median line
  line(175,600-q1*2,225,600-q1*2); //q1 line
  line(175,600-q3*2,225,600-q3*2); //q3 line
  line(175,600-q1*2,175,600-q3*2); //box
  line(225,600-q1*2,225,600-q3*2); //box
  line(200,600-min*2,200,600-q1*2); //whisker
  line(200,600-max*2,200,600-q3*2); //whisker
}